function buttonselectlvPGA(hObject, eventdata, Empty_Button, Buttons, RegSlider, RegText, usmn, usmf)
data = get(Empty_Button,'UserData');

if (isfield(data,'isdata')*isfield(data,'issvd')*isfield(data,'isnovctrs')*isfield(data,'isbd')*isfield(data,'issol') == 1) && (data.isdata*data.issvd*data.isnovctrs*data.isbd*data.issol == 1) && (get(usmn, 'Value') == 1)
    data.islive = 1;
    
    SliderOnOffPGA(RegSlider, RegText, data, 1);
    set(Buttons(4),'Backgroundcolor',0.94*[1 1 1]);
    
else
    SliderOnOffPGA(RegSlider, RegText, data, 0);
    data.islive = 0;
    
    set(usmn,'Value',0);
    set(usmf,'Value',1);
end

set(Empty_Button,'UserData',data);
